Page MenuHomePhabricator

Reset event data when session expires
Closed, ResolvedPublic

Description

Problem

Very long sessions on the same page (when the app is re-opened after a very long time) are counted as a single page view with a very long page opened time.

Solution

  • Check/renew the session on page view and page hide
  • Send events on page hide (visibility changed -> hidden)
  • When the session has expired, renew all the event state (start time, visible time, page view token, etc)

Event Timeline

SBisson claimed this task.May 5 2020, 3:43 PM
SBisson created this task.
SBisson edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
SBisson moved this task from Backlog to Dev on the Inuka-Team (Kanban) board.
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.May 8 2020, 5:46 PM

@nshahquinn-wmf this was merged. You should start seeing data produced with this fix right about now but keep in mind that older code is still going to run for a few days. I wish there was an easy way to tell which version of the code generated which event. We have that for app version but not for small code changes that are not released.

Jpita added a subscriber: Jpita.

moving to "waiting for feedback" until Neil gives us the green light

LGoto moved this task from Triage to Tracking on the Product-Analytics board.
AMuigai triaged this task as Medium priority.May 14 2020, 1:39 PM
nshahquinn-wmf closed this task as Resolved.May 20 2020, 5:45 PM

Since the patch was merged, I'm (1) seeing many pageviews with multiple events and (2) not seeing pageviews with long page open times but short page visible times, since those are now split up into separate pageviews. So this looks good!